Skip to main content
GET
/
api
/
v1
/
builder-agents
List build conversations
curl --request GET \
  --url https://{subdomain}.mihu.ai/api/v1/builder-agents \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{subdomain}.mihu.ai/api/v1/builder-agents"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{subdomain}.mihu.ai/api/v1/builder-agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": [
    {
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "lead-watcher",
      "prompt": "<string>",
      "message": "<string>",
      "questions": [
        "<string>"
      ],
      "builder": {
        "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "lead-watcher",
        "preview_url": "<string>",
        "service_token": "<string>",
        "entrypoint": "python3 main.py",
        "port": 8000,
        "auto_stop_interval": 0,
        "backup_interval_hours": 0,
        "review_passed": true,
        "qa_passed": true,
        "cost": {
          "currency": "EUR",
          "hourly_rate": 0.1965,
          "runtime_hours": 1.5,
          "cost": 0.29
        },
        "created_at": "2023-11-07T05:31:56Z"
      },
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Response

200 - application/json

List of build conversations.

success
boolean
Example:

true

data
object[]